Package net.shibboleth.idp.consent.logic.impl

# Class GlobalAttributeConsentPredicate

java.lang.Object
net.shibboleth.idp.consent.logic.impl.GlobalAttributeConsentPredicate

All Implemented Interfaces:
  `Predicate<ProfileRequestContext>`

public class GlobalAttributeConsentPredicate extends Object implements Predicate<ProfileRequestContext>
Predicate to determine whether global consent has been given by user.

## Field Summary

Fields
Modifier and Type
Field
Description
`private Function<ProfileRequestContext,ConsentContext>`
`consentContextlookupStrategy`
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.

## Constructor Summary

Constructors
Constructor
Description
`GlobalAttributeConsentPredicate()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`test(ProfileRequestContext input)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.function.Predicate

`and, negate, or`

## Field Details

### consentContextlookupStrategy

@Nonnull private Function<ProfileRequestContext,ConsentContext> consentContextlookupStrategy
Strategy used to find the `ConsentContext` from the `ProfileRequestContext`.

## Constructor Details

### GlobalAttributeConsentPredicate

public GlobalAttributeConsentPredicate()
Constructor.

## Method Details

### test

public boolean test(@Nullable ProfileRequestContext input)

Specified by:
  `test` in interface `Predicate<ProfileRequestContext>`